From: "Jeroen Roovers" <jer@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/geoip/
Date: Sat, 20 Jan 2018 14:56:49 +0000 (UTC) [thread overview]
Message-ID: <1516460192.8c28cb0198902395af55c2735946880979494f1f.jer@gentoo> (raw)
commit: 8c28cb0198902395af55c2735946880979494f1f
Author: Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 20 14:56:32 2018 +0000
Commit: Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Sat Jan 20 14:56:32 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8c28cb01
dev-libs/geoip: Version 1.6.12.
Package-Manager: Portage-2.3.19, Repoman-2.3.6
dev-libs/geoip/Manifest | 1 +
dev-libs/geoip/geoip-1.6.12.ebuild | 57 ++++++++++++++++++++++++++++++++++++++
2 files changed, 58 insertions(+)
diff --git a/dev-libs/geoip/Manifest b/dev-libs/geoip/Manifest
index b32f69b7adf..474f1a2b683 100644
--- a/dev-libs/geoip/Manifest
+++ b/dev-libs/geoip/Manifest
@@ -1,3 +1,4 @@
DIST geoip-1.6.10.tar.gz 161506 BLAKE2B 968ae25afe8345def099b82acf5bca4b7bcba05ffdc8d17f164bc2a91db25e2be45319a942fef05f084c6d6463521d481286888cbe7b43c7394e46ea0b47b5ca SHA512 5cd527da9d9a921bcc3020e636b410310e6462832804ac2d594b9cb4ceaacac0c31eb64f97e23e77d468da7b63a704084e140c8b69b838e362a188309756a2bf
DIST geoip-1.6.11.tar.gz 161934 BLAKE2B 628dd37bbcfffe36970d6bc8cd12ff1d504d9dc7bb760860ce59fbeeac631317556077ca5b50ae42c9cc8567ed41194379ed0743a0c2b0b0bef65504b13e62cb SHA512 9c017a95c7903898b9a2bc10c34e51b390326c181c46e6f99daf3bc4d8f84cfcf640c5cc92d527e4c7428e2b5bfa835cc57040507eb836062139a795726349b9
+DIST geoip-1.6.12.tar.gz 160826 BLAKE2B a6cb17141e4e9d00c15d19d7adfecb5492b14591911dc85de403afc9f94801fe1ec92b6106478448074d3679d6c9fa6a44f210b9cc751aba0c0425a5fae699c1 SHA512 d1ed2dae091548f555cde4d26e4b51ae1e8fbb12ef1695fd95963229d9a1bf241e6f09e5d77b151d51edd0cef78ddef490c6a3f3a70ff122bdd9c0ac5500fc7d
DIST geoip-1.6.9.tar.gz 158576 BLAKE2B 797dce578c0e2b92b02cf125be5448746025e86c6d9a2efd4ec2c99de99b3874c9da0ef20c7c76308121420ea8099a0744c0240640ff9732b961789ce334b8d1 SHA512 a3a34511ba32e6c7d0b46b0e608c5be54411cf5b095c867c3225941b55e5714ec7c68de64e0aefcf4ee2081fbd626480067d6bc9822d775decef1f8e26d7e976
diff --git a/dev-libs/geoip/geoip-1.6.12.ebuild b/dev-libs/geoip/geoip-1.6.12.ebuild
new file mode 100644
index 00000000000..c5ce219e773
--- /dev/null
+++ b/dev-libs/geoip/geoip-1.6.12.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit autotools eutils
+
+DESCRIPTION="GeoIP Legacy C API"
+HOMEPAGE="https://github.com/maxmind/geoip-api-c"
+SRC_URI="
+ https://github.com/maxmind/${PN}-api-c/archive/v${PV}.tar.gz -> ${P}.tar.gz
+"
+
+# GPL-2 for md5.c - part of libGeoIPUpdate, MaxMind for GeoLite Country db
+LICENSE="LGPL-2.1 GPL-2 MaxMind2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~x86-macos"
+IUSE="static-libs"
+RESTRICT="test"
+
+DEPEND="
+ net-misc/wget
+"
+RDEPEND="
+ ${DEPEND}
+"
+
+S="${WORKDIR}/${PN}-api-c-${PV}"
+
+src_prepare() {
+ default
+
+ eautoreconf
+}
+
+src_configure() {
+ econf $(use_enable static-libs static)
+ sed -e "s|@PREFIX@|${ROOT}|g" "${FILESDIR}"/geoipupdate-r6.sh > geoipupdate.sh || die
+}
+
+src_install() {
+ default
+
+ dodoc AUTHORS ChangeLog NEWS.md README*
+
+ prune_libtool_files
+
+ keepdir /usr/share/GeoIP
+
+ dosbin geoipupdate.sh
+}
+
+pkg_postinst() {
+ ewarn "WARNING: Databases are no longer installed by this ebuild."
+ elog "Don't forget to run 'geoipupdate.sh -f' (or geoipupdate from"
+ elog "net-misc/geoipupdate) to populate ${ROOT}/usr/share/GeoIP/"
+ elog "with geo-located IP address databases."
+}
next reply other threads:[~2018-01-20 14:56 UTC|newest]
Thread overview: 63+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-01-20 14:56 Jeroen Roovers [this message]
-- strict thread matches above, loose matches on Subject: below --
2022-08-28 5:06 [gentoo-commits] repo/gentoo:master commit in: dev-libs/geoip/ WANG Xuerui
2022-02-19 15:07 Arthur Zamarin
2022-02-19 13:41 Arthur Zamarin
2022-02-19 13:22 Jakov Smolić
2022-02-19 13:15 Jakov Smolić
2022-02-19 12:46 Arthur Zamarin
2022-02-19 9:19 Arthur Zamarin
2022-02-19 8:51 Arthur Zamarin
2021-07-24 23:02 Marek Szuba
2021-03-10 1:24 Sam James
2021-03-10 1:24 Sam James
2021-03-06 7:26 Sam James
2021-03-05 20:34 Sam James
2021-03-04 6:12 Sam James
2021-03-04 6:12 Sam James
2021-03-04 6:11 Sam James
2021-03-04 6:11 Sam James
2021-03-04 6:10 Sam James
2021-03-04 6:10 Sam James
2021-02-26 21:56 Sam James
2020-07-23 11:11 Kent Fredric
2018-08-18 5:29 Mikle Kolyada
2018-03-15 13:54 Mikle Kolyada
2017-11-03 21:52 Sergei Trofimovich
2017-08-29 21:39 Thomas Deutschmann
2017-08-26 9:03 Mikle Kolyada
2017-07-12 8:56 Sergei Trofimovich
2017-05-26 8:44 Jeroen Roovers
2017-05-22 18:41 Tobias Klausmann
2017-05-18 22:38 Michael Weber
2017-05-18 16:26 Michael Weber
2017-05-10 14:17 Jeroen Roovers
2017-04-20 17:04 Jeroen Roovers
2017-04-08 8:50 Jeroen Roovers
2017-03-16 12:36 Michael Weber
2017-03-16 10:59 Michael Weber
2017-03-08 5:59 Markus Meier
2017-03-04 14:02 Agostino Sarubbo
2017-03-02 10:47 Agostino Sarubbo
2017-03-02 10:30 Agostino Sarubbo
2017-03-01 13:43 Tobias Klausmann
2017-03-01 10:43 Michael Weber
2017-01-29 16:08 Fabian Groffen
2016-05-27 2:48 Jeroen Roovers
2016-05-26 9:42 Tobias Klausmann
2016-03-20 11:53 Agostino Sarubbo
2016-03-19 7:06 Jeroen Roovers
2016-03-17 10:50 Agostino Sarubbo
2016-03-15 17:28 Markus Meier
2016-03-06 12:58 Agostino Sarubbo
2016-01-16 11:26 Jeroen Roovers
2015-11-08 5:47 Jeroen Roovers
2015-11-08 5:47 Jeroen Roovers
2015-11-08 0:10 Mikle Kolyada
2015-11-01 4:20 Jeroen Roovers
2015-10-30 10:15 Agostino Sarubbo
2015-10-17 10:54 Markus Meier
2015-10-11 11:59 Mikle Kolyada
2015-09-25 14:13 Agostino Sarubbo
2015-09-24 10:36 Agostino Sarubbo
2015-09-21 5:26 Jeroen Roovers
2015-09-20 12:50 Tobias Klausmann
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1516460192.8c28cb0198902395af55c2735946880979494f1f.jer@gentoo \
--to=jer@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox